Bug 102542 - there is a newer standard version of TTCP
Summary: there is a newer standard version of TTCP
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ttcp   
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL: http://it-div-cs.web.cern.ch/it-div-c...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-17 04:57 UTC by mattb
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-26 10:50:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mattb 2003-08-17 04:57:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
There is a more up-to-date version of TTCP including some modifications for CERN
by Daniel Davids:

http://it-div-cs.web.cern.ch/it-div-cs/public/projects/atm/ttcp.html

You may want to consider upgrading the package to include his changes. However,
the man page (and README of course) will need to be updated as well to include
the addition -V (version) tag.

Version-Release number of selected component (if applicable):
ttcp-1.12-7

How reproducible:
Always

Steps to Reproduce:
1. run ttcp without arguments
2. see that it is missing the -V tag in the usage statement
3. realize that RedHat's version of TTCP does not include the modifications made
by Danny Davids

Actual Results:  Usage: ttcp -t [-options] host [ < in ]
       ttcp -r [-options > out]
Common options:
        -l ##   length of bufs read from or written to network (default 8192)
        -u      use UDP instead of TCP
        -p ##   port number to send to or listen at (default 5001)
        -s      -t: source a pattern to network
                -r: sink (discard) all data from network
        -A      align the start of buffers to this modulus (default 16384)
        -O      start buffers at this offset from the modulus (default 0)
        -v      verbose: print more statistics
        -d      set SO_DEBUG socket option
        -b ##   set socket buffer size (if supported)
        -f X    format for rate: k,K = kilo{bit,byte}; m,M = mega; g,G = giga
Options specific to -t:
        -n##    number of source bufs written to network (default 2048)
        -D      don't buffer TCP writes (sets TCP_NODELAY socket option)
Options specific to -r:
        -B      for -s, only output full blocks as specified by -l (for TAR)
        -T      "touch": access each byte as it's read


Expected Results:  Usage: ttcp -t [-options] host [ < in ]
       ttcp -r [-options > out]
Common options:
	-V      prints version number and date of last modification
        -l ##   length of bufs read from or written to network (default 8192)
        -u      use UDP instead of TCP
        -p ##   port number to send to or listen at (default 5001)
        -s      -t: source a pattern to network
                -r: sink (discard) all data from network
        -A      align the start of buffers to this modulus (default 16384)
        -O      start buffers at this offset from the modulus (default 0)
        -v      verbose: print more statistics
        -d      set SO_DEBUG socket option
        -b ##   set socket buffer size (if supported)
        -f X    format for rate: k,K = kilo{bit,byte}; m,M = mega; g,G = giga
Options specific to -t:
        -n##    number of source bufs written to network (default 2048)
        -D      don't buffer TCP writes (sets TCP_NODELAY socket option)
Options specific to -r:
        -B      for -s, only output full blocks as specified by -l (for TAR)
        -T      "touch": access each byte as it's read


Additional info:

Comment 1 Radek Vokal 2005-02-26 10:50:47 UTC
New features are included in the latest rawhide version - ttcp-1.12-12.


Note You need to log in before you can comment on or make changes to this bug.